#!/usr/bin/python3
# Author : yingjian
# Date : 2023-03-07
# Version : v1

import base64
import hmac
import json
import time
from hashlib import sha256

import requests,sys

timestamp = str(round(time.time()))
secret = "Klazx33jtB6cL2PpBXjfPg"

key = f'{timestamp}\n{secret}'
key_enc = key.encode('utf-8')
msg = ""
msg_enc = msg.encode('utf-8')
hmac_code = hmac.new(key_enc, msg_enc, digestmod=sha256).digest()
sign = base64.b64encode(hmac_code).decode('utf-8')
#print(timestamp)
#print(sign)

# 自定义关键词key_word
key_word = "游戏进程告警"

get_text = sys.argv[1]

get_text_list = get_text.split(",") 
#size = len(get_text_list)


# 你复制的webhook地址
url = "https://open.feishu.cn/open-apis/bot/v2/hook/8934881e-b772-4b72-be5c-d5e33ececf0c"

str_text = ""
for i in range(len(get_text_list)):
    str_text += get_text_list[i] + "\n"

payload_message = {
    "timestamp": timestamp,
    "sign": sign,
    "msg_type": "text",
    "content": {
        "text": key_word + "\n" + str_text
   }
}


headers = {
    'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=json.dumps(payload_message))

#print(response.text)
